package com.ghjg.shoreline.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ghjg.shoreline.dto.ShorelineManageInfo;
import com.ghjg.shoreline.service.ShorelineManageInfoService;
import com.ghjg.shoreline.mapper.ShorelineManageInfoMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author csdl
 * @description 针对表【SHORELINE_MANAGE_INFO(主要陆域水域设施)】的数据库操作Service实现
 * @createDate 2024-05-31 13:39:14
 */
@Service
@Slf4j
public class ShorelineManageInfoServiceImpl extends ServiceImpl<ShorelineManageInfoMapper, ShorelineManageInfo>
        implements ShorelineManageInfoService {

    @Resource
    private ShorelineManageInfoMapper shorelineManageInfoMapper;

    @Override
    public void updateAllPassed() {
        List<ShorelineManageInfo> shorelineManageInfos = shorelineManageInfoMapper.getAllPassed();
        if (shorelineManageInfos.isEmpty()){
            log.info("Needn't update");
        }else {
            for (ShorelineManageInfo shorelineManageInfo : shorelineManageInfos) {
                shorelineManageInfo.setLineStatus(2L);
            }
            boolean b = this.updateBatchById(shorelineManageInfos);
            if (b){
                log.info("success");
            }else {
                log.error("error");
            }
        }
    }
}




